/*
/ Print
/
/ http://www.alsacreations.com/tuto/lire/586-feuille-style-css-print-impression.html
/ http://www.alsacreations.com/astuce/lire/1160-une-feuille-de-styles-de-base-pour-le-media-print.html
/ https://uxdesign.cc/i-totally-forgot-about-print-style-sheets-f1e6604cfd6#.ad9m8zgbd
/ https://www.smashingmagazine.com/2018/05/print-stylesheets-in-2018/
////
*/

@media print {

	.print { display: block }

	body {
		margin: 0;
		padding: 0;
		color: #111;
	}

	#header::after {
		content: "";
		display: block;
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		height: 5rem;
	}

	.logo {
		background-image: url("/media/logo.png");
		-webkit-print-color-adjust: exact; /* force browser to print background-image */
		color-adjust: exact !important;
	}

	.prose a {
		color: #111;
	}
	.prose a::after, a.print::after {
		content: " (" attr(href) ")" !important;
	}

	table, img, svg {
		break-inside: avoid;
	}

}


@media print {
  /* Reset */
  *,
  *:before,
  *:after,
  *:first-letter,
  p:first-line,
  div:first-line,
  blockquote:first-line,
  li:first-line {
    color: #000 !important;
    background: transparent !important;
    box-shadow: none !important;
    text-shadow: none !important;
  }

  /* Content */
  body > *:not(main) {
    display: none;
  }

  /* a[href]:after {
    content: " ("attr(href) ")";
  }

  abbr[title]:after {
    content: " ("attr(title) ")";
  } */


  @page {
    size: auto;
  }

  @page :first {
    header {
      margin: -100px;
    }
  }

  html {
  }

  body {
    font-size: 11pt;
    color: #000;
    background-color: #fff;
  }

  a,
  header a {
    color: #000;
  }

  p,
  blockquote {
    orphans: 3;
    widows: 3;
  }

  blockquote,
  ul,
  ol {
    page-break-inside: avoid;
  }

  h1,
  h2,
  h3,
  caption,
  figure {
    page-break-after: avoid;
  }

  .wrapper {
    margin: 0;
    max-width: none;
  }

  header {
    background: none;
  }

  nav,
  .breadcrumb {
    display: none;
  }

  table th,
  table td {
    padding: 1px 5px;
  }

  pre,
  code {
    overflow-x: auto;
    white-space: pre-wrap;
    white-space: -moz-pre-wrap !important;
    white-space: -pre-wrap;
    white-space: -o-pre-wrap;
    word-wrap: break-word;
    background: #fff;

    break-inside: avoid;
  }

  figure {
    padding: 0 !important;
    border: none !important;
  }

  figure a {
    display: block;
  }

  .no-print,
  .no-print * {
    display: none !important;
  }

  .grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
  }

  .flex {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
  }

  .flex > * {
    min-width: 200px;
  }

  .benchmark {
    break-inside: avoid;
  }

  .counter {
    display: grid;
    align-items: center;
    padding: 1em;
    font-family: Futura;
    border: 1px solid;
  }

  .page-break {
    break-before: page;
  }

  .print\:prose {
    color: #4b5563
  }

  .print\:prose strong {
    font-weight: 700
  }

  .print\:prose h1 {
    font-weight: 400;
    font-size: 1.875rem;
    color: #111827;
    margin-bottom: .5rem
  }

  .print\:prose h2 {
    font-weight: 400
  }

  .print\:prose p {
    color: #4b5563;
    line-height: 1.75
  }

  .print\:hidden {
    display: none
  }

  .print\:float-left {
    float: left
  }

  .print\:clear-left {
    clear: left
  }

  .print\:text-3xl {
    font-size: 1.875rem;
    line-height: 2.25rem
  }

  .print\:mt-0 {
    margin-top: 0
  }

  .print\:mb-0 {
    margin-bottom: 0
  }

  .print\:mt-2 {
    margin-top: .5rem
  }

  .print\:mt-4 {
    margin-top: 1rem
  }

  .print\:mr-6 {
    margin-right: 1.5rem
  }

  .print\:py-4 {
    padding-top: 1rem;
    padding-bottom: 1rem
  }

  .print\:pb-3 {
    padding-bottom: .75rem
  }

  .print\:absolute {
    position: absolute
  }
}
